Bug 39864 - Kernel panic when using apend mem=xxxM
Summary: Kernel panic when using apend mem=xxxM
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ingo Molnar
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On: 36940
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-09 13:59 UTC by David Revor
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-30 14:41:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Revor 2001-05-09 13:59:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90; 
NetCaptor 6.2.1A)

Description of problem:
On a compaq proliant 4500 the installer doesn't see enough memory to run 
so I adjusted the memory like I have for previous vers. The kernel panics 
with "VFS: cannot mount root device on 8:35". I have 512M in the system so 
I started with mem=512M then I tuned it down some knowing sometimes you 
have to go 1 less ie mem=511M. Still got a panic. Note: this box is NOT on 
the hardware list.

How reproducible:
Always

Steps to Reproduce:
1.from installation welcome screen type "linux mem=512M <cr>"
2.
3.
	

Actual Results:  Kernel panic

Expected Results:  Installtion should continue as normal with the kernel 
being able to utilize all available memory

Additional info:

Comment 1 Need Real Name 2001-05-09 20:29:08 UTC
I have the same problem with a Compaq 2500R.

Comment 2 Arjan van de Ven 2001-05-09 20:34:13 UTC
Ingo: could you add an example of exactmap for a 64Mb machine here ?


Comment 3 Arjan van de Ven 2001-05-11 08:38:49 UTC
Please look at bug 36940 for the commandline option to work around this.


Note You need to log in before you can comment on or make changes to this bug.